Bug 226409 - devel/sdl20: update to 2.0.8
Summary: devel/sdl20: update to 2.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://discourse.libsdl.org/t/sdl-2-...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-06 21:27 UTC by Greg V
Modified: 2018-11-01 11:33 UTC (History)
1 user (show)

See Also:


Attachments
sdl208.patch (1.17 KB, patch)
2018-03-06 21:27 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-03-06 21:27:19 UTC
Created attachment 191267 [details]
sdl208.patch
Comment 1 Greg V 2018-03-15 17:40:16 UTC
hm, most apps stopped working on Wayland with this version, reported: https://bugzilla.libsdl.org/show_bug.cgi?id=4109
Comment 2 commit-hook freebsd_committer 2018-11-01 10:09:10 UTC
A commit references this bug:

Author: jbeich
Date: Thu Nov  1 09:37:48 UTC 2018
New revision: 483650
URL: https://svnweb.freebsd.org/changeset/ports/483650

Log:
  devel/sdl20: update to 2.0.9

  Changes:	https://discourse.libsdl.org/t/sdl-2-0-8-released/23957
  Changes:	https://discourse.libsdl.org/t/sdl-2-0-9-released/25228
  ABI:		https://abi-laboratory.pro/tracker/timeline/sdl/
  PR:		226409
  Submitted by:	Greg V (previous version)
  Approved by:	maintainer timeout (7 months)
  Tested via:	0ad, mpv, openra, pioneer, ppsspp (vulkan/joystick), stuntrally, wesnoth, xonotic, etc.

Changes:
  head/devel/sdl20/Makefile
  head/devel/sdl20/distinfo
  head/devel/sdl20/files/
  head/devel/sdl20/pkg-plist
  head/x11/controllermap/Makefile
  head/x11/controllermap/distinfo